Subject: bug#8256: widget-complete does not complete for type 'directory onw32

From: Lennart Borgman <[email-masked]>
Date: Tue, 15 Mar 2011 19:11:27 +0100

On Tue, Mar 15, 2011 at 7:04 PM, Drew Adams <[email-masked]> wrote:
>> Problem here: nil is not a directory, so the above defcustom is not
>> valid.  Oddly enough Customize does not signal the error, and instead
>> gets into a weird state.  Once you set my-dir to a string, things work
>> much better.
>
> Customize does indicate the type mismatch, as usual via `(mismatch)'.

Yes. It writes that. And then goes into a weird state.